> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/managing-collector-agents/querying-the-collector-tcp-connection-status.md).

# Collector TCP接続状況の問い合わせ

## Windowsコレクター <a href="#queryingthecollectortcpconnectionstatus-windowscollector" id="queryingthecollectortcpconnectionstatus-windowscollector"></a>

特定のデバイスのコレクターとNexthinkインスタンス間のTCP接続ステータスを照会するには、そのデバイスで「コレクター設定ツール」を次のように実行します:

`nxtcfg.exe /g tcp_status`

コレクター設定ツールはNexthinkコーディネーターサービスを照会します。これは[コレクターのコンポーネント](broken://pages/fVII4tnl1ROWw5bdzBfQ)で、TCP接続を担当しています。

## Macコレクター <a href="#queryingthecollectortcpconnectionstatus-maccollectormac-collector" id="queryingthecollectortcpconnectionstatus-maccollectormac-collector"></a>

MacコレクターとNexthinkインスタンス間のTCP接続ステータスを照会するには、macOSデバイスでコマンドラインインターフェースを開き、以下を入力します:

`grep -i "tcp-status" /Library/Application\ Support/Nexthink/config.json`

## エラーメッセージ <a href="#queryingthecollectortcpconnectionstatus-errormessages" id="queryingthecollectortcpconnectionstatus-errormessages"></a>

以下の表は、可能な出力メッセージとその説明を示しています。タイムスタンプで始まるメッセージはコーディネーターサービスから取得されます。一方、日付なしで始まるメッセージは直接コレクター設定ツールから来ます:

<table data-full-width="true"><thead><tr><th>お問い合わせ詳細</th><th>定義</th></tr></thead><tbody><tr><td><strong>[ERROR] Nexthinkコーディネーターサービスがインストールされていません</strong></td><td>デバイスにコーディネーターが見つかりません。 TCP接続は確立されていません。</td></tr><tr><td><strong>[ERROR] Nexthinkコーディネーターサービスを照会できません</strong></td><td>コーディネーターは一時的にクエリに応答できません。</td></tr><tr><td><strong>[ERROR] 未知エラー</strong></td><td>コーディネーターからTCP接続ステータスを取得しようとする際に未知のエラーが発生しました。</td></tr><tr><td><strong>[INFO] Nexthinkコーディネーターサービスが停止しています</strong></td><td>コーディネーターサービスはインストールされていますが、実行されていません。 TCP接続は確立されていません。</td></tr><tr><td><strong>[MM/DD/YY hh:mm:ss] [INFO] 接続を初期化中</strong></td><td>コーディネーターが起動し、NexthinkインスタンスとのTCP接続を確立しようとしています。</td></tr><tr><td><strong>[MM/DD/YY hh:mm:ss] [INFO] 接続済み</strong></td><td>コーディネーターがNexthinkインスタンスとTCP接続を確立しました。</td></tr><tr><td><strong>[MM/DD/YY hh:mm:ss] [INFO] 切断されました</strong></td><td>コーディネーターがNexthinkインスタンスから切断され、新しい割り当てを積極的に待機しています。</td></tr><tr><td><strong>[MM/DD/YY hh:mm:ss] [ERROR] プロトコルエラー</strong></td><td>コレクターとNexthinkインスタンスの間にバージョンの不一致があります。</td></tr><tr><td><strong>[MM/DD/YY hh:mm:ss] [ERROR] 顧客キーの問題</strong></td><td>コレクター内の顧客キーとNexthinkインスタンスのそれとの間に不一致があります。</td></tr><tr><td><strong>[MM/DD/YY hh:mm:ss] [ERROR] 証明書の問題</strong></td><td><p>証明書の検証に問題があります。考えられる原因:</p><ul><li>証明書を署名するために使用されたルートCAがコレクターインストーラーと共に展開されていないか、ルートCAがWindowsの<em>信頼されたルート認証機関</em>に追加されていません。</li><li>コレクターに設定されているNexthinkインスタンスのアドレスが証明書の件名に定義されているアドレスと一致しません。</li></ul></td></tr><tr><td><strong>[MM/DD/YY hh:mm:ss] [ERROR] ホストが見つかりません</strong></td><td>コレクターに設定されたNexthinkインスタンスのDNS名またはIPアドレスが、ネットワーク上で見つからないホストを示しています。</td></tr><tr><td><strong>[MM/DD/YY hh:mm:ss] [ERROR] TCP接続失敗:</strong></td><td><p>戻る</p><p><a href="https://doc.qt.io/qt-6/qabstractsocket.html#errorOccurred">失敗の理由を示す下位実装からのエラーコード</a>。</p><p>最も一般的なエラーは<em>[ERROR] TCP接続失敗: 0</em>です。ホストが存在しているが、コレクターが指定されたTCPポートに接続できないことを示します。</p></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/managing-collector-agents/querying-the-collector-tcp-connection-status.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
